<html
<head>
<title>jQuery Image Carousel</title>
<SCRIPT src="http://code.jquery.com/jquery-2.1.1.js"></SCRIPT>
<script>
$(document).ready(function() {
	$(".active").show();
	$("#slider-div").hover(function(){$(".btn-carousel").show();},function(){$(".btn-carousel").hide();})
	$(".btn-carousel").on('click',function(){
		var id = $(this).attr('id');
		var nav;
		if(id=="previous") {
			nav = $("img.active").prev('img');
			if(nav.length == 0) nav = $("img").last();
		} else if(id=="next") {
			nav = $("img.active").next('img');
			if(nav.length == 0) nav = $("img").first();
		}
		$("img.active").hide();
		$("img.active").removeClass("active");
		nav.addClass("active");
		nav.fadeIn(1000);
	});	
});
</script>
<style>
.btn-carousel{display:none;cursor:pointer;position: absolute;top: 100px;opacity: 0.5;padding: 10px;background: #333;color: #FFF;font-weight: bold;font-size: 20px;}
#previous{left:0px;}
#next{right:0px;}
#slider-div img{display:none;}
#slider-div{position:relative;width:300px;height:200px;}
</style>
</head>
<body>
<div id="slider-div">
	<img class="active" src="1.jpg">
	<img src="2.jpg">
	<img src="3.jpg">
	<img src="4.jpg">
	<div class="btn-carousel" id="previous">&lt;</div>
	<div class="btn-carousel" id="next">&gt;</div>	
</div>
</body>
</html>